You are not required to use the new versions of the app, but we highly recommend it as you'll be getting the best experience possible!

Did this answer your question?